This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 23:56
Elapsed6m51s
Revision
Builder250ca5af-73ab-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/7eeae64f-e4c9-4085-8bd3-53138855f3eb/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/7eeae64f-e4c9-4085-8bd3-53138855f3eb/targets/test
infra-commit02460ac89

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 23:56:21.448] process 30 exited with code 0 after 0.0m
I0331 23:56:21.449] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 23:56:21.449] Root: /workspace
I0331 23:56:21.449] cd to /workspace
I0331 23:56:21.449] Configure environment...
I0331 23:56:21.450] Call:  git show -s --format=format:%ct HEAD
W0331 23:56:21.453] fatal: not a git repository (or any of the parent directories): .git
I0331 23:56:21.454] process 43 exited with code 128 after 0.0m
W0331 23:56:21.454] Unable to print commit date for HEAD
I0331 23:56:21.454] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 23:56:21.954] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 23:56:22.851] process 44 exited with code 0 after 0.0m
I0331 23:56:22.851] Call:  gcloud config get-value account
I0331 23:56:23.692] process 57 exited with code 0 after 0.0m
I0331 23:56:23.692] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 23:56:23.692] Start 1245137809023438849 at ...
I0331 23:56:23.694] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_cyReRn gs://kubernetes-jenkins/logs/metrics-kettle/1245137809023438849/started.json
I0331 23:56:26.376] process 70 exited with code 0 after 0.0m
I0331 23:56:26.377] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 23:56:26.402] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 00:03:01.331] ERROR: table k8s-gubernator:build.all is 17.0 hours old. Max allowed: 6 hours.
I0401 00:03:01.335] ERROR: table k8s-gubernator:build.week is 17.2 hours old. Max allowed: 6 hours.
I0401 00:03:01.335] ERROR: table k8s-gubernator:build.day is 16.7 hours old. Max allowed: 6 hours.
I0401 00:03:01.335] Collected data:
I0401 00:03:01.335] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 00:03:01.335] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 00:03:01.336] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 00:03:01.336] 
W0401 00:03:01.434] Traceback (most recent call last):
... skipping 22 lines ...
W0401 00:03:01.437]     self.send(msg)
W0401 00:03:01.437]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 00:03:01.437]     self.connect()
W0401 00:03:01.438]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 00:03:01.438]     conn = self._new_conn()
W0401 00:03:01.438]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 00:03:01.438]     self, "Failed to establish a new connection: %s" % e
W0401 00:03:01.438] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f63a5f35358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 00:03:01.438] 
W0401 00:03:01.438] During handling of the above exception, another exception occurred:
W0401 00:03:01.438] 
W0401 00:03:01.439] Traceback (most recent call last):
W0401 00:03:01.439]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 00:03:01.439]     timeout=timeout
W0401 00:03:01.439]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 00:03:01.439]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 00:03:01.439]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 00:03:01.439]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 00:03:01.440] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f63a5f35358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 00:03:01.440] 
W0401 00:03:01.440] During handling of the above exception, another exception occurred:
W0401 00:03:01.440] 
W0401 00:03:01.440] Traceback (most recent call last):
W0401 00:03:01.440]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 00:03:01.440]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 00:03:01.442]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 00:03:01.443]     resp = self.send(prep, **send_kwargs)
W0401 00:03:01.443]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 00:03:01.443]     r = adapter.send(request, **kwargs)
W0401 00:03:01.443]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 00:03:01.443]     raise ConnectionError(e, request=request)
W0401 00:03:01.444] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f63a5f35358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 00:03:01.444] Traceback (most recent call last):
W0401 00:03:01.444]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 00:03:01.444]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 00:03:01.444]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 00:03:01.444]     check(*cmd)
W0401 00:03:01.444]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 00:03:01.445]     subprocess.check_call(cmd)
W0401 00:03:01.445]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 00:03:01.445]     raise CalledProcessError(retcode, cmd)
W0401 00:03:01.445] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 00:03:01.445] Command failed
I0401 00:03:01.445] process 252 exited with code 1 after 6.6m
E0401 00:03:01.446] FAIL: metrics-kettle
I0401 00:03:01.446] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 00:03:02.594] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 00:03:03.241] process 256 exited with code 0 after 0.0m
I0401 00:03:03.241] Call:  gcloud config get-value account
I0401 00:03:04.205] process 268 exited with code 0 after 0.0m
I0401 00:03:04.206] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 00:03:04.207] Upload result and artifacts...
I0401 00:03:04.207] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245137809023438849
W0401 00:03:04.207] Missing local artifacts : /workspace/_artifacts
W0401 00:03:04.207] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 00:03:04.207] metadata not found or invalid, init with empty metadata
I0401 00:03:04.208] Call:  git rev-parse HEAD
W0401 00:03:04.272] fatal: not a git repository (or any of the parent directories): .git
E0401 00:03:04.275] Command failed
I0401 00:03:04.276] process 281 exited with code 128 after 0.0m
I0401 00:03:04.278] Call:  git rev-parse HEAD
I0401 00:03:04.292] process 283 exited with code 0 after 0.0m
I0401 00:03:04.293] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 00:03:06.298] process 284 exited with code 0 after 0.0m
I0401 00:03:06.299] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585695731077753'
... skipping 8 lines ...